Subject: [MEXT] some questions for revocation draft-01

From: Jun AWANO <[email-masked]>
Date: Tue, 18 Nov 2008 15:49:00 +0900

Hi all,

I've read revocation draft-01 and had some questions.

The 6th item of draft-01 section 10.1.1 says:
" If the Revocation Trigger field in the received BRI message is set
  to "Inter-MAG - Unknown Handoff", the MAG use the mobility
  option(s) included in the BRI message to identify the mobile node
  binding and MUST validate that the mobile node is no longer
  attached to the MAG before sending a successful BRA message and
  deleting the resources associated with the mobile node binding."

How the MAG should do? in case the MN is still attaching the MAG.
I guess the MAG does nothing by receiving BRI.
The MAG may send PBU with lifetime set to zero after it by detaching MN
as per section 6.9.1.4 of RFC5213, though.
Right?

A relation between a value of Revocation Trigger Field and a value of
Handoff Indicator Option included in the (last received?) PBU is a
little bit unclear.
I think some values of Revocation Trigger are supposed to refer to the
Handoff Indicator to work well.

BR,
Jun.

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 18 Nov 2008 05:33:05 -0600

Hi Jun,
Please see comments inline.

Regards,
Ahmad

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jun AWANO
> Sent: Tuesday, November 18, 2008 12:49 AM
> To: [email-masked]
> Subject: [MEXT] some questions for revocation draft-01
> 
> Hi all,
> 
[Ahmad]
When the MAG receives the BRI message and finds out the MN is still
attached to the MAG, the MAG should send a BRA with status "6
Revocation Failed, MN is Attached".

> The MAG may send PBU with lifetime set to zero after it by 
> detaching MN as per section 6.9.1.4 of RFC5213, though.
> Right?

[Ahmad]
I do not understand what you mean here?
If the MAG would send a PBU with lifetime zero, why just NOT send a
successful BRA. Any how, if the MAG sends a PBU with lifetime zero in
response to the BRI with R. Trigger is set to "Inter-MAG - Unknown
Handoff", the LMA should consider this PBU as a successful response to
the BRI.

> 
> A relation between a value of Revocation Trigger Field and a 
> value of Handoff Indicator Option included in the (last 
> received?) PBU is a little bit unclear.
[Ahmad]
What is NOT clear. I believe it is inline of RFC5213.

> I think some values of Revocation Trigger are supposed to 
> refer to the Handoff Indicator to work well.
> 
> BR,
> Jun.
>

---

From: Jun AWANO <[email-masked]>
Date: Wed, 19 Nov 2008 08:19:59 +0900

Hi Ahmad and Guo,

Thanks for your replies, I was able to understand.

As Ahmad said, I can see PBA status, "6 Revocation Failed,
MN is Attached" in the draft.
However, the draft doesn't have the line to explain the case in which
the status code should be used.
I think adding the line to the draft could be useful for readers.

As for the relation between R.Trigger Field and Handoff Indicator,
Guo's mail also helped my understanding.

Guo's mail said,
<Guo>IMHO, value of revocation trigger and value of handoff indicator may be
<Guo>mapped as following:
<Guo>Inter-MAG handoff - same Access Types<--> HI=3
<Guo>Inter-MAG handoff - different Access Types<--> HI=2
<Guo>Inter-MAG - Unknown Handoff <--> HI=4
<Guo>About HI=1/5, there is no need to release resources.

I appreciate your description.
But I think mapping above might not always be correct.
In case of HI=2(Handoff between two different interfaces
  of the mobile node), it could be R.Trigger=3(Inter-MAG handoff -
same Access Types).
In my understanding so far, anyway LMA can set R.Trigger appropriately
according to its judgment by using ATT, HI and other conditions as per
RFC5213.

An additional question.
Is the BRI sender required backoff upon retransmission?
Or it it depending on implementation?

BR,
Jun